const Chance = require('chance')
const {
  submittingAuthor,
  reviewer,
  answerReviewer,
  recReviewer,
} = require('./userData')
const { standardCollID } = require('./collectionIDs')

const chance = new Chance()
const fragments = {
  fragment: {
    id: chance.guid(),
    collectionId: standardCollID,
    metadata: {
      title: chance.sentence(),
      abstract: chance.paragraph(),
    },
    recommendations: [
      {
        recommendation: 'publish',
        recommendationType: 'review',
        comments: [
          {
            content: chance.paragraph(),
            public: chance.bool(),
            files: [
              {
                id: chance.guid(),
                name: 'file.pdf',
                size: chance.natural(),
              },
            ],
          },
        ],
        id: chance.guid(),
        userId: recReviewer.id,
        createdOn: chance.timestamp(),
        updatedOn: chance.timestamp(),
      },
    ],
    authors: [
      {
        id: submittingAuthor.id,
        isSubmitting: true,
        isCorresponding: false,
      },
    ],
    invitations: [
      {
        id: chance.guid(),
        role: 'reviewer',
        hasAnswer: false,
        isAccepted: false,
        userId: reviewer.id,
        invitedOn: chance.timestamp(),
        respondedOn: null,
      },
      {
        id: chance.guid(),
        role: 'reviewer',
        hasAnswer: true,
        isAccepted: false,
        userId: answerReviewer.id,
        invitedOn: chance.timestamp(),
        respondedOn: chance.timestamp(),
      },
    ],
    save: jest.fn(() => fragments.fragment),
  },
}

module.exports = fragments
